Bug 626808 - [abrt] python-py-1.3.3-1.fc14: py.test:5:<module>:ImportError: No module named pkg_resources
Summary: [abrt] python-py-1.3.3-1.fc14: py.test:5:<module>:ImportError: No module name...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-py (Show other bugs)
(Show other bugs)
Version: 14
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:500388b3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 13:32 UTC by Dwayne Bailey
Modified: 2010-09-09 04:31 UTC (History)
1 user (show)

Fixed In Version: python-py-1.3.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-09 01:24:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dwayne: needinfo+


Attachments (Terms of Use)
File: backtrace (459 bytes, text/plain)
2010-08-24 13:32 UTC, Dwayne Bailey
no flags Details

Description Dwayne Bailey 2010-08-24 13:32:36 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/bin/py.test
component: python-py
executable: /usr/bin/py.test
kernel: 2.6.35-0.57.rc6.git1.fc14.i686.PAE
package: python-py-1.3.3-1.fc14
reason: py.test:5:<module>:ImportError: No module named pkg_resources
release: Fedora release 14 (Branched)
time: 1282656712
uid: 500

backtrace
-----
py.test:5:<module>:ImportError: No module named pkg_resources

Traceback (most recent call last):
  File "/usr/bin/py.test", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/py.test'
__package__: None
sys: <module 'sys' (built-in)>
__requires__: 'py==1.3.3'
__name__: '__main__'
__doc__: None

How to reproduce
-----
1. Install python-py
2. py.test

Comment 1 Dwayne Bailey 2010-08-24 13:32:39 UTC
Created an attachment (id=440655)
File: backtrace

Comment 2 Thomas Moschny 2010-08-24 14:05:25 UTC
Hm, maybe a missing dependency. Does installing python-setuptools help?

Comment 3 Dwayne Bailey 2010-08-26 11:56:09 UTC
(In reply to comment #2)
> Hm, maybe a missing dependency. Does installing python-setuptools help?

Yes I did that and the problem disappeared.

Comment 4 Fedora Update System 2010-08-27 11:23:38 UTC
python-py-1.3.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-py-1.3.3-2.fc14

Comment 5 Fedora Update System 2010-08-27 11:23:42 UTC
python-py-1.3.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-py-1.3.3-2.fc13

Comment 6 Fedora Update System 2010-08-27 17:11:24 UTC
python-py-1.3.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-py'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-py-1.3.3-2.fc14

Comment 7 Fedora Update System 2010-09-09 01:24:07 UTC
python-py-1.3.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-09-09 04:31:49 UTC
python-py-1.3.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.